Requirements for UBS E-Banking

What requirements must be met in order to use UBS E-Banking?

In order to use UBS E-Banking, you need a UBS banking relationship and a UBS E-Banking agreement.

For optimum usability and security, UBS E-Banking is designed for use with the following operating system and browser versions:

Desktops/laptops

Operating system

Operating system

Web browser / PDF viewer

Web browser / PDF viewer

Operating system

Windows 10

Web browser / PDF viewer

Edge version 44 or higher
Chrome version 80 or higher
Firefox version 74 or higher
Adobe Reader version DC (2015.0) or higher

Operating system

macOS version 10.14

Web browser / PDF viewer

Safari version 13 or higher
Chrome version 80 or higher
Firefox version 74 or higher
Adobe Reader version DC (2015.0) or higher

Tablets

Operating system

Operating system

Web browser / PDF viewer

Web browser / PDF viewer

Operating system

iOS version 12 or higher

Web browser / PDF viewer

Safari version 12 or higher
Chrome version 80 or higher
Adobe Reader version 20 or higher

Operating system

Android version 8.1 or higher

Web browser / PDF viewer

Chrome version 80 or higher
Firefox version 74 or higher
Adobe Reader version 20 or higher

Operating system

Windows 10

Web browser / PDF viewer

Edge version 44 or higher
Chrome version 80 or higher
Firefox version 74 or higher
Adobe Reader version DC (2015.0) or higher